%{?nodejs_find_provides_and_requires}

%global packagename asap
%global enable_tests 1


Name:       nodejs-%{packagename}
Version:    2.0.3
Release:    1%{?dist}
Summary:    High-priority task queue for Node.js and browser
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/kriskowal/asap
Source0:    https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh


BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
%endif


%description
%{summary}.

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
#nothing to do



%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asap
cp -pr package.json asap.js \
    %{buildroot}%{nodejs_sitelib}/asap

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/node test/asap-test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/asap


%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.3-1
- Update to upstream 2.0.3 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
